#ifndef IZ_CONFIG_GUID_H
#define IZ_CONFIG_GUID_H

#include <SDL_guid.h>
#include <ini-config.h>

void INI_ConfigLoadGuid(INI_ConfigItem*, const char*);
INI_ConfigSaveItemResult INI_ConfigSaveGuid(INI_ConfigItem*, const char*);
void INI_ConfigOverrideGuid(INI_ConfigItem*, uint8_t, const char*[]);

#define INI_CONFIG_TYPE_FNS_GUID (INI_ConfigTypeFns) { \
	.size = sizeof(SDL_GUID), \
	.load = INI_ConfigLoadGuid, \
	.save = INI_ConfigSaveGuid, \
	.override = INI_ConfigOverrideGuid, \
}

#endif
